/*
 * MPC9700.h
 *
 *  Created on: Feb 16, 2015
 *      Author: Mike Pappas
 */

#ifndef Sensors_H_
#define Sensors_H_

void measureSensors();

float calculate_Temp(unsigned int ADC_value);

float calculate_Light(unsigned int ADC_value);

void floatToAsciiTemp(float temp);

void floatToAsciiLight(float light);

#define CONVERSION_VALUE 0.29296875 // Vref 1200mV / 4095 (12 bit ADC resolution)

#endif /* MPC9700_H_ */
